Refund a succeeded payment
POST
/api/v1/payments/{id}/refund
const url = 'https://example.com/api/v1/payments/example/refund';const options = {method: 'POST', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/payments/example/refund \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Media typeapplication/json
object
id
required
string
stripePaymentIntentId
required
string
customerId
required
string
amount
required
Smallest currency unit (cents)
number
currency
required
string
status
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "status": "requires_payment_method"}